-- DROP TABLE IF EXISTS `crm_address`;
CREATE TABLE `crm_address` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `objectType` char(30) NOT NULL,
  `objectID` mediumint(8) unsigned NOT NULL,
  `title` varchar(255) NOT NULL,
  `area` mediumint(8) NOT NULL,
  `location` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `objectType` (`objectType`,`objectID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_contact`;
CREATE TABLE `crm_contact` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `realname` char(30) NOT NULL DEFAULT '',
  `nickname` char(30) NOT NULL,
  `resume` mediumint(8) unsigned NOT NULL,
  `avatar` varchar(255) NOT NULL,
  `birthday` date NOT NULL default '0000-00-00',
  `gender` enum('f','m','u') NOT NULL DEFAULT 'u',
  `email` char(50) NOT NULL DEFAULT '',
  `skype` char(50) NOT NULL,
  `qq` char(20) NOT NULL DEFAULT '',
  `yahoo` char(50) NOT NULL DEFAULT '',
  `gtalk` char(50) NOT NULL DEFAULT '',
  `wangwang` char(50) NOT NULL DEFAULT '',
  `site` varchar(100) NOT NULL,
  `mobile` char(11) NOT NULL DEFAULT '',
  `phone` char(20) NOT NULL DEFAULT '',
  `fax` char(20) NOT NULL DEFAULT '',
  `weibo` char(50) NOT NULL,
  `weixin` char(50) NOT NULL,
  `desc` text NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `contactedBy` char(30) NOT NULL,
  `contactedDate` datetime NOT NULL,
  `nextDate` date NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `realname` (`realname`),
  KEY `nickname` (`nickname`),
  KEY `birthday` (`birthday`),
  KEY `createdBy` (`createdBy`),
  KEY `contactedBy` (`contactedBy`),
  KEY `contactedDate` (`contactedDate`),
  KEY `nextDate` (`nextDate`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_delivery`;
CREATE TABLE `crm_delivery` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `contract` mediumint(8) unsigned NOT NULL,
  `deliveredBy` char(30) COLLATE 'utf8_general_ci' NOT NULL,
  `deliveredDate` date NOT NULL,
  `comment` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_plan`;
CREATE TABLE `crm_plan` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `amount` decimal(12,2) NOT NULL,
  `contract` mediumint(8) unsigned NOT NULL,
  `returnedBy` char(30) COLLATE 'utf8_general_ci' NOT NULL,
  `returnedDate` date NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_contract`;
CREATE TABLE `crm_contract` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `customer` mediumint(8) unsigned NOT NULL,
  `name` char(100) NOT NULL,
  `code` char(30) NOT NULL,
  `amount` decimal(12,2) NOT NULL,
  `items` text NOT NULL,
  `begin` date NOT NULL,
  `end` date NOT NULL,
  `delivery` char(30) NOT NULL,
  `return` char(30) NOT NULL,
  `currency` varchar(20) NOT NULL,
  `status` enum('normal', 'closed', 'canceled') NOT NULL DEFAULT 'normal',
  `contact` mediumint(8) unsigned NOT NULL,
  `handlers` varchar(255) NOT NULL,
  `signedBy` char(30) NOT NULL,
  `signedDate` date NOT NULL,
  `deliveredBy` char(30) COLLATE 'utf8_general_ci' NOT NULL,
  `deliveredDate` date NOT NULL,
  `returnedBy` char(30) COLLATE 'utf8_general_ci' NOT NULL,
  `returnedDate` date NOT NULL,
  `finishedBy` char(30) NOT NULL,
  `finishedDate` date NOT NULL,
  `canceledBy` char(30) NOT NULL,
  `canceledDate` date NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `contactedBy` char(30) NOT NULL,
  `contactedDate` datetime NOT NULL,
  `nextDate` date NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `name` (`name`),
  KEY `customer` (`customer`),
  KEY `amount` (`amount`),
  KEY `delivery` (`delivery`),
  KEY `return` (`return`),
  KEY `begin` (`begin`),
  KEY `end` (`end`),
  KEY `status` (`status`),
  KEY `handlers` (`handlers`),
  KEY `contactedDate` (`contactedDate`),
  KEY `nextDate` (`nextDate`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_contractorder`;
CREATE TABLE `crm_contractorder` (
  `contract` mediumint(8) unsigned NOT NULL,
  `order` mediumint(8) unsigned NOT NULL,
  UNIQUE KEY `contract` (`contract`,`order`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_customer`;
CREATE TABLE `crm_customer` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` char(100) NOT NULL,
  `type` char(30) NOT NULL,
  `relation` enum('client', 'provider', 'partner') NOT NULL default 'client',
  `size` tinyint(3) unsigned NOT NULL,
  `industry` mediumint(8) unsigned NOT NULL,
  `area` mediumint(8) unsigned NOT NULL,
  `status` enum('potential', 'intension', 'signed', 'payed', 'failed') NOT NULL default 'potential',
  `level` char(10) NOT NULL,
  `intension` text NOT NULL,
  `site` varchar(100) NOT NULL,
  `weibo` char(50) NOT NULL,
  `weixin` char(50) NOT NULL,
  `desc` text NOT NULL,
  `public` enum('0', '1') NOT NULL DEFAULT '0',
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `assignedTo` char(30) NOT NULL,
  `assignedBy` char(30) NOT NULL,
  `assignedDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `contactedBy` char(30) NOT NULL,
  `contactedDate` datetime NOT NULL,
  `nextDate` date NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `industry` (`industry`),
  KEY `size` (`size`),
  KEY `name` (`name`),
  KEY `type` (`type`),
  KEY `area` (`area`),
  KEY `status` (`status`),
  KEY `level` (`level`),
  KEY `contactedDate` (`contactedDate`),
  KEY `nextDate` (`nextDate`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_order`;
CREATE TABLE `crm_order` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `product` char(255) NOT NULL,
  `customer` mediumint(8) unsigned NOT NULL,
  `plan` decimal(12,2) NOT NULL,
  `real` decimal(12,2) NOT NULL,
  `currency` varchar(20) NOT NULL,
  `status` enum('normal', 'signed', 'closed') NOT NULL DEFAULT 'normal',
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `assignedTo` char(30) NOT NULL,
  `assignedBy` char(30) NOT NULL,
  `assignedDate` datetime NOT NULL,
  `signedBy` char(30) NOT NULL,
  `signedDate` date NOT NULL,
  `closedBy` char(30) NOT NULL,
  `closedDate` datetime NOT NULL,
  `closedReason` enum('', 'payed', 'failed', 'postponed') NOT NULL DEFAULT '',
  `activatedBy` char(30) NOT NULL,
  `activatedDate` datetime NOT NULL,
  `contactedBy` char(30) NOT NULL,
  `contactedDate` datetime NOT NULL,
  `nextDate` date NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `product` (`product`),
  KEY `customer` (`customer`),
  KEY `plan` (`plan`),
  KEY `real` (`real`),
  KEY `status` (`status`),
  KEY `createdBy` (`createdBy`),
  KEY `assignedTo` (`assignedTo`),
  KEY `closedBy` (`closedBy`),
  KEY `closedReason` (`closedReason`),
  KEY `contactedDate` (`contactedDate`),
  KEY `nextDate` (`nextDate`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_resume`;
CREATE TABLE `crm_resume` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `contact` mediumint(8) unsigned NOT NULL,
  `customer` mediumint(8) unsigned NOT NULL,
  `maker` enum('0','1') NOT NULL DEFAULT '0',
  `dept` char(100) NOT NULL,
  `title` char(100) NOT NULL,
  `address` mediumint(8) unsigned NOT NULL,
  `join` char(10) NOT NULL,
  `left` char(10) NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `contact` (`contact`),
  KEY `customer` (`customer`),
  KEY `left` (`left`),
  KEY `maker` (`maker`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_service`;
CREATE TABLE `crm_service` (
  `customer` smallint(8) NOT NULL,
  `product` mediumint(8) NOT NULL,
  `expire` date NOT NULL,
  UNIQUE KEY `customer` (`customer`,`product`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_salesgroup`;
CREATE TABLE `crm_salesgroup` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `desc` varchar(255) NOT NULL,
  `users` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_salespriv`;
CREATE TABLE `crm_salespriv` (
  `account` char(30) NOT NULL,
  `salesgroup` mediumint(8) unsigned NOT NULL,
  `priv` enum('view','edit') NOT NULL,
  KEY `account` (`account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `oa_doc`;
CREATE TABLE `oa_doc` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `product` mediumint(8) unsigned NOT NULL,
  `project` mediumint(8) unsigned NOT NULL,
  `lib` mediumint(8) unsigned NOT NULL,
  `module` mediumint(8) unsigned NOT NULL,
  `title` varchar(255) NOT NULL,
  `digest` varchar(255) NOT NULL,
  `keywords` varchar(255) NOT NULL,
  `type` varchar(30) NOT NULL,
  `content` text NOT NULL,
  `url` varchar(255) NOT NULL,
  `views` smallint(5) unsigned NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `oa_doclib`;
CREATE TABLE `oa_doclib` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `oa_project`;
CREATE TABLE `oa_project` (
  `id` mediumint NOT NULL AUTO_INCREMENT,
  `name` varchar(90) NOT NULL,
  `desc` text NOT NULL,
  `begin` date NOT NULL,
  `end` date NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `status` enum('doing','finished','suspend') NOT NULL DEFAULT 'doing',
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE='MyISAM' COLLATE 'utf8_general_ci'; 
-- DROP TABLE IF EXISTS `sys_relation`;
CREATE TABLE `sys_relation` (
  `type` char(20) NOT NULL,
  `id` mediumint(9) NOT NULL,
  `category` mediumint(8) NOT NULL,
  UNIQUE KEY `relation` (`type`,`id`,`category`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `cash_depositor`;
CREATE TABLE `cash_depositor` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `abbr` char(60) NOT NULL,
  `provider` char(100) NOT NULL,
  `title` char(100) NOT NULL,
  `account` char(90) NOT NULL,
  `bankcode` varchar(30) NOT NULL,
  `public` enum('0','1') NOT NULL,
  `type` enum('cash','bank','online') NOT NULL,
  `currency` char(30) NOT NULL,
  `status` enum('normal','disable') NOT NULL DEFAULT 'normal',
  `createdBy` char(30) NOT NULL DEFAULT '',
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL DEFAULT '',
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `cash_balance`;
CREATE TABLE `cash_balance` ( 
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `depositor` mediumint(8) NOT NULL,
  `date` date NOT NULL,
  `money` decimal(12,2) NOT NULL,
  `currency` char(30) NOT NULL,
  `createdBy` char(30) NOT NULL DEFAULT '',
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL DEFAULT '',
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `depositor` (`depositor`,`date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `cash_trade`;
CREATE TABLE `cash_trade` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT, 
  `depositor` mediumint(8) NOT NULL,
  `parent`  mediumint(8) NOT NULL DEFAULT 0,
  `product` mediumint(8) NOT NULL,
  `trader` smallint(5) unsigned NOT NULL DEFAULT 0,
  `order` mediumint(8) NOT NULL,
  `contract` mediumint(8) NOT NULL,
  `dept` mediumint(8) unsigned NOT NULL,
  `type` enum('in', 'out', 'transferin', 'transferout', 'inveset', 'redeem') NOT NULL,
  `money` decimal(12,2) NOT NULL,
  `currency` varchar(30) NOT NULL,
  `date` date NOT NULL,
  `handlers` varchar(255) NOT NULL,
  `category` char(30) NOT NULL,
  `desc` text NOT NULL,
  `createdBy` char(30) NOT NULL DEFAULT '',
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL DEFAULT '',
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `team_thread`;
CREATE TABLE IF NOT EXISTS `team_thread` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `board` mediumint(9) NOT NULL,
  `title` varchar(255) NOT NULL,
  `content` text NOT NULL,
  `author` varchar(60) NOT NULL,
  `editor` varchar(60) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedDate` datetime NOT NULL,
  `readonly` tinyint(1) NOT NULL DEFAULT '0',
  `views` smallint(5) unsigned NOT NULL DEFAULT '0',
  `stick` enum('0','1','2','3') NOT NULL DEFAULT '0',
  `replies` smallint(6) NOT NULL,
  `repliedBy` varchar(30) NOT NULL,
  `repliedDate` datetime NOT NULL,
  `replyID` mediumint(8) unsigned NOT NULL,
  `hidden` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `category` (`board`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `team_reply`;
CREATE TABLE IF NOT EXISTS `team_reply` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `thread` mediumint(8) unsigned NOT NULL,
  `content` text NOT NULL,
  `author` char(30) NOT NULL,
  `editor` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedDate` datetime NOT NULL,
  `hidden` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `thread` (`thread`),
  KEY `author` (`author`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_action`;
CREATE TABLE `sys_action` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `customer` mediumint(8) unsigned DEFAULT NULL,
  `contact` mediumint(8) unsigned DEFAULT NULL,
  `objectType` varchar(30) NOT NULL DEFAULT '',
  `objectID` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `actor` varchar(30) NOT NULL DEFAULT '',
  `action` varchar(30) NOT NULL DEFAULT '',
  `date` datetime NOT NULL,
  `comment` text NOT NULL,
  `extra` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `customer` (`customer`),
  KEY `contact` (`contact`),
  KEY `date` (`date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_block`;
CREATE TABLE `sys_block` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `account` char(30) NOT NULL,
  `app` varchar(20) NOT NULL,
  `title` varchar(100) NOT NULL,
  `source` varchar(20) NOT NULL,
  `block` varchar(20) NOT NULL,
  `params` text NOT NULL,
  `order` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `grid` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `hidden` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `accountAppOrder` (`account`, `app`, `order`),
  KEY `account` (`account`, `app`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_category`;
CREATE TABLE `sys_category` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` char(30) NOT NULL DEFAULT '',
  `alias` varchar(100) NOT NULL,
  `desc` text NOT NULL,
  `keywords` varchar(150) NOT NULL,
  `root` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `parent` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `path` char(255) NOT NULL DEFAULT '',
  `grade` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `order` smallint(5) unsigned NOT NULL DEFAULT '0',
  `type` char(30) NOT NULL,
  `readonly` enum('0','1') NOT NULL DEFAULT '0',
  `moderators` varchar(255) NOT NULL,
  `threads` smallint(5) NOT NULL,
  `posts` smallint(5) NOT NULL,
  `postedBy` varchar(30) NOT NULL,
  `postedDate` datetime NOT NULL,
  `postID` mediumint(9) NOT NULL,
  `replyID` mediumint(8) unsigned NOT NULL,
  `rights` char(30) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tree` (`type`),
  KEY `order` (`order`),
  KEY `parent` (`parent`),
  KEY `path` (`path`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_package`;
CREATE TABLE IF NOT EXISTS `sys_package` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` varchar(150) NOT NULL,
  `code` varchar(30) NOT NULL,
  `version` varchar(50) NOT NULL,
  `author` varchar(100) NOT NULL,
  `desc` text NOT NULL,
  `license` text NOT NULL,
  `type` varchar(20) NOT NULL default 'extension',
  `site` varchar(150) NOT NULL,
  `ranzhiCompatible` varchar(100) NOT NULL,
  `installedTime` datetime NOT NULL,
  `depends` varchar(100) NOT NULL,
  `dirs` text NOT NULL,
  `files` text NOT NULL,
  `status` varchar(20) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `code` (`code`),
  KEY `name` (`name`),
  KEY `addedTime` (`installedTime`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `owner` char(30) NOT NULL DEFAULT '',
  `app` varchar(30) NOT NULL DEFAULT 'sys',
  `module` varchar(30) NOT NULL,
  `section` char(30) NOT NULL DEFAULT '',
  `key` char(30) DEFAULT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unique` (`owner`,`app`,`module`,`section`,`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_entry`;
CREATE TABLE `sys_entry` (
  `id` smallint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `abbr` char(6) NOT NULL,
  `code` varchar(20) NOT NULL,
  `buildin` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `integration` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `open` varchar(20) NOT NULL,
  `key` char(32) NOT NULL,
  `ip` varchar(100) NOT NULL,
  `logo` varchar(100) NOT NULL,
  `login` varchar(255) NOT NULL,
  `logout` varchar(255) NOT NULL,
  `block` varchar(255) NOT NULL,
  `control` varchar(10) NOT NULL DEFAULT 'simple',
  `size` varchar(50) NOT NULL DEFAULT 'max',
  `position` varchar(10) NOT NULL DEFAULT 'default',
  `visible` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `order` tinyint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `code` (`code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_article`;
CREATE TABLE `sys_article` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(150) NOT NULL,
  `alias` varchar(100) NOT NULL,
  `keywords` varchar(150) NOT NULL,
  `summary` text NOT NULL,
  `content` text NOT NULL,
  `original` enum('1','0') NOT NULL,
  `copySite` varchar(60) NOT NULL,
  `copyURL` varchar(255) NOT NULL,
  `author` varchar(60) NOT NULL,
  `editor` varchar(60) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedDate` datetime NOT NULL,
  `status` varchar(20) NOT NULL DEFAULT 'normal',
  `type` varchar(30) NOT NULL,
  `views` mediumint(5) unsigned NOT NULL DEFAULT '0',
  `sticky` enum('0','1','2','3') NOT NULL DEFAULT '0',
  `order` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `order` (`order`),
  KEY `views` (`views`),
  KEY `sticky` (`sticky`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_tag`;
CREATE TABLE `sys_tag` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `tag` varchar(50) NOT NULL,
  `rank` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tag` (`tag`),
  KEY `rank` (`rank`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_message`;
CREATE TABLE IF NOT EXISTS `sys_message` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `type` char(20) NOT NULL,
  `objectType` varchar(30) NOT NULL DEFAULT '',
  `objectID` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `account` char(30) DEFAULT NULL,
  `from` char(30) NOT NULL,
  `to` char(30) NOT NULL,
  `date` datetime NOT NULL,
  `content` text NOT NULL,
  `status` char(20) NOT NULL,
  `readed` enum('0','1') NOT NULL,
  PRIMARY KEY (`id`),
  KEY `status` (`status`),
  KEY `object` (`objectType`,`objectID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_file`;
CREATE TABLE `sys_file` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `pathname` char(50) NOT NULL,
  `title` char(90) NOT NULL,
  `extension` char(30) NOT NULL,
  `size` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `objectType` char(20) NOT NULL,
  `objectID` mediumint(9) NOT NULL,
  `createdBy` char(30) NOT NULL DEFAULT '',
  `createdDate` datetime NOT NULL,
  `editor` enum('1','0') NOT NULL DEFAULT '0',
  `primary` enum('1','0') DEFAULT '0',
  `public` enum('1','0') NOT NULL DEFAULT '1',
  `downloads` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `extra` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `object` (`objectType`,`objectID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_history`;
CREATE TABLE `sys_history` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `action` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `field` varchar(30) NOT NULL DEFAULT '',
  `old` text NOT NULL,
  `new` text NOT NULL,
  `diff` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `action` (`action`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_lang`;
CREATE TABLE `sys_lang` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `lang` varchar(30) NOT NULL,
  `app` varchar(30) NOT NULL DEFAULT 'sys',
  `module` varchar(30) NOT NULL,
  `section` varchar(30) NOT NULL,
  `key` varchar(60) NOT NULL,
  `value` text NOT NULL,
  `system` enum('0','1') NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `lang` (`app`,`lang`,`module`,`section`,`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_product`;
CREATE TABLE `sys_product` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(150) NOT NULL,
  `type` varchar(10) NOT NULL,
  `status` varchar(10) NOT NULL,
  `line` varchar(30) NOT NULL DEFAULT 'default',
  `desc` text NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `name` (`name`),
  KEY `type` (`type`),
  KEY `status` (`status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_schema`;
CREATE TABLE `sys_schema` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `category` char(10) NOT NULL,
  `trader`   char(10) NOT NULL,
  `type`     char(10) NOT NULL,
  `money`    char(10) NOT NULL,
  `desc`     char(10) NOT NULL,
  `date`     char(10) NOT NULL,
  `fee`      char(10) NOT NULL,
  `dept`     char(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_sso`;
CREATE TABLE `sys_sso` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `sid` char(32) NOT NULL,
  `entry` mediumint(8) unsigned NOT NULL,
  `token` char(32) NOT NULL,
  `time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `sid` (`sid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_task`;
CREATE TABLE `sys_task` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `project` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `customer` mediumint(8) unsigned NOT NULL,
  `order` mediumint(8) unsigned NOT NULL,
  `category` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL,
  `type` varchar(20) NOT NULL,
  `pri` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `estimate` decimal(12,1) unsigned NOT NULL,
  `consumed` decimal(12,1) unsigned NOT NULL,
  `left` decimal(12,1) unsigned NOT NULL,
  `deadline` date NOT NULL,
  `status` enum('wait','doing','done','cancel','closed') NOT NULL DEFAULT 'wait',
  `statusCustom` tinyint(3) unsigned NOT NULL,
  `mailto` varchar(255) NOT NULL DEFAULT '',
  `desc` text NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `assignedTo` varchar(30) NOT NULL,
  `assignedDate` datetime NOT NULL,
  `estStarted` date NOT NULL,
  `realStarted` date NOT NULL,
  `finishedBy` varchar(30) NOT NULL,
  `finishedDate` datetime NOT NULL,
  `canceledBy` varchar(30) NOT NULL,
  `canceledDate` datetime NOT NULL,
  `closedBy` varchar(30) NOT NULL,
  `closedDate` datetime NOT NULL,
  `closedReason` varchar(30) NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  `key` smallint(5) unsigned NOT NULL default 0,
  PRIMARY KEY (`id`),
  KEY `statusOrder` (`statusCustom`),
  KEY `assignedTo` (`assignedTo`),
  KEY `createdBy` (`createdBy`),
  KEY `finishedBy` (`finishedBy`),
  KEY `closedBy` (`closedBy`),
  KEY `closedReason` (`closedReason`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_team`;
CREATE TABLE `sys_team` (
  `type` char(30) NOT NULL,
  `id` mediumint(8) NOT NULL DEFAULT '0',
  `account` char(30) NOT NULL DEFAULT '',
  `role` char(30) NOT NULL DEFAULT '',
  `join` date NOT NULL DEFAULT '0000-00-00',
  `days` smallint(5) unsigned NOT NULL,
  `hours` float(2,1) unsigned NOT NULL DEFAULT '0.0',
  PRIMARY KEY (`type`,`id`,`account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `dept` mediumint(8) unsigned NOT NULL,
  `account` char(30) NOT NULL DEFAULT '',
  `password` char(32) NOT NULL DEFAULT '',
  `realname` char(30) NOT NULL DEFAULT '',
  `role` char(20) NOT NULL,
  `nickname` char(60) NOT NULL DEFAULT '',
  `admin` enum('no','common','super') NOT NULL DEFAULT 'no',
  `avatar` varchar(255) NOT NULL DEFAULT '',
  `birthday` date NOT NULL,
  `gender` enum('f','m','u') NOT NULL DEFAULT 'u',
  `email` char(90) NOT NULL DEFAULT '',
  `skype` char(90) NOT NULL,
  `qq` char(20) NOT NULL DEFAULT '',
  `yahoo` char(90) NOT NULL DEFAULT '',
  `gtalk` char(90) NOT NULL DEFAULT '',
  `wangwang` char(90) NOT NULL DEFAULT '',
  `site` varchar(100) NOT NULL,
  `mobile` char(11) NOT NULL DEFAULT '',
  `phone` char(20) NOT NULL DEFAULT '',
  `address` char(120) NOT NULL DEFAULT '',
  `zipcode` char(10) NOT NULL DEFAULT '',
  `visits` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `ip` char(15) NOT NULL DEFAULT '',
  `last` datetime NOT NULL,
  `fails` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `join` datetime NOT NULL,
  `locked` datetime NOT NULL,
  `deleted` enum('0','1') NOT NULL,
  PRIMARY KEY (`id`),
  KEY `admin` (`admin`),
  KEY `account` (`account`,`password`),
  KEY `dept` (`dept`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_group`;
CREATE TABLE IF NOT EXISTS `sys_group` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` char(30) NOT NULL,
  `desc` char(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_usergroup`;
CREATE TABLE `sys_usergroup` (
  `account` char(30) NOT NULL DEFAULT '',
  `group` mediumint(8) unsigned NOT NULL DEFAULT '0',
  UNIQUE KEY `account` (`account`,`group`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_grouppriv`;
CREATE TABLE IF NOT EXISTS `sys_grouppriv` (
  `group` mediumint(8) unsigned NOT NULL default '0',
  `module` char(30) NOT NULL default '',
  `method` char(30) NOT NULL default '',
  UNIQUE KEY `group` (`group`,`module`,`method`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_userquery`;
CREATE TABLE IF NOT EXISTS `sys_userquery` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `account` char(30) NOT NULL,
  `module` varchar(30) NOT NULL,
  `title` varchar(90) NOT NULL,
  `form` text NOT NULL,
  `sql` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `account` (`account`),
  KEY `module` (`module`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_cron`;
CREATE TABLE IF NOT EXISTS `sys_cron` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `m` varchar(20) NOT NULL,
  `h` varchar(20) NOT NULL,
  `dom` varchar(20) NOT NULL,
  `mon` varchar(20) NOT NULL,
  `dow` varchar(20) NOT NULL,
  `command` text NOT NULL,
  `remark` varchar(255) NOT NULL,
  `type` varchar(20) NOT NULL,
  `buildin` tinyint(1) NOT NULL DEFAULT '0',
  `status` varchar(20) NOT NULL,
  `lastTime` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `sys_category` VALUES (1,'化工','','','',0,0,',1,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(3,'环保、绿化、公共事业','','','',0,0,',3,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(4,'电子电工及通讯','','','',0,0,',4,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(5,'办公文教及光仪','','','',0,0,',5,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(6,'影视、新闻、出版','','','',0,0,',6,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(7,'电脑、网络、软件','','','',0,0,',7,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(8,'农林牧渔','','','',0,0,',8,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(9,'生活消费','','','',0,0,',9,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(10,'家电及家居用品','','','',0,0,',10,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(11,'交通运输、物流','','','',0,0,',11,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(12,'文化教育、培训','','','',0,0,',12,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(14,'玩具及儿童用品','','','',0,0,',14,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(15,'科研、设计、监测','','','',0,0,',15,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(16,'礼品、美术、工艺品','','','',0,0,',16,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(17,'医疗、医药、保健','','','',0,0,',17,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(18,'金融、保险、投资','','','',0,0,',18,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(19,'机械、机电、设备','','','',0,0,',19,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(20,'旅游、运动、休闲','','','',0,0,',20,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(21,'政府及社会团体','','','',0,0,',21,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(22,'工业制品及工业用品','','','',0,0,',22,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(23,'包装、印刷、纸品','','','',0,0,',23,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(24,'商业机构','','','',0,0,',24,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(25,'纺织、皮革、印染','','','',0,0,',25,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(26,'安全、保安','','','',0,0,',26,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(27,'专业服务','','','',0,0,',27,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(28,'能源、矿产、冶金','','','',0,0,',28,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(29,'服装、服饰','','','',0,0,',29,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(30,'生活服务','','','',0,0,',30,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(33,'宠物及用品','','','',0,0,',33,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(34,'建筑、装饰、房地产','','','',0,0,',34,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(35,'食品、饮料、烟酒','','','',0,0,',35,',1,0,'industry','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(110000,'北京市','','','',0,0,',110000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(120000,'天津市','','','',0,0,',120000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(130000,'河北省','','','',0,0,',130000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(140000,'山西省','','','',0,0,',140000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(150000,'内蒙古自治区','','','',0,0,',150000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(210000,'辽宁省','','','',0,0,',210000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(220000,'吉林省','','','',0,0,',220000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(230000,'黑龙江省','','','',0,0,',230000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(310000,'上海市','','','',0,0,',310000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(320000,'江苏省','','','',0,0,',320000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(330000,'浙江省','','','',0,0,',330000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(340000,'安徽省','','','',0,0,',340000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(350000,'福建省','','','',0,0,',350000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(360000,'江西省','','','',0,0,',360000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(370000,'山东省','','','',0,0,',370000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(410000,'河南省','','','',0,0,',410000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(420000,'湖北省','','','',0,0,',420000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(430000,'湖南省','','','',0,0,',430000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(440000,'广东省','','','',0,0,',440000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(450000,'广西壮族自治区','','','',0,0,',450000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(460000,'海南省','','','',0,0,',460000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(500000,'重庆市','','','',0,0,',500000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(510000,'四川省','','','',0,0,',510000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(520000,'贵州省','','','',0,0,',520000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(530000,'云南省','','','',0,0,',530000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(540000,'西藏自治区','','','',0,0,',540000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(610000,'陕西省','','','',0,0,',610000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(620000,'甘肃省','','','',0,0,',620000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(630000,'青海省','','','',0,0,',630000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(640000,'宁夏回族自治区','','','',0,0,',640000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(650000,'新疆维吾尔自治区','','','',0,0,',650000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(710000,'台湾省','','','',0,0,',710000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(810000,'香港特别行政区','','','',0,0,',810000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(820000,'澳门特别行政区','','','',0,0,',820000,',1,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(130100,'石家庄市','','','',0,130000,',130000,130100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(130200,'唐山市','','','',0,130000,',130000,130200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(130300,'秦皇岛市','','','',0,130000,',130000,130300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(130400,'邯郸市','','','',0,130000,',130000,130400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(130500,'邢台市','','','',0,130000,',130000,130500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(130600,'保定市','','','',0,130000,',130000,130600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(130700,'张家口市','','','',0,130000,',130000,130700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(130800,'承德市','','','',0,130000,',130000,130800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(130900,'沧州市','','','',0,130000,',130000,130900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(131000,'廊坊市','','','',0,130000,',130000,131000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(131100,'衡水市','','','',0,130000,',130000,131100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(140100,'太原市','','','',0,140000,',140000,140100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(140200,'大同市','','','',0,140000,',140000,140200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(140300,'阳泉市','','','',0,140000,',140000,140300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(140400,'长治市','','','',0,140000,',140000,140400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(140500,'晋城市','','','',0,140000,',140000,140500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(140600,'朔州市','','','',0,140000,',140000,140600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(140700,'晋中市','','','',0,140000,',140000,140700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(140800,'运城市','','','',0,140000,',140000,140800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(140900,'忻州市','','','',0,140000,',140000,140900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(141000,'临汾市','','','',0,140000,',140000,141000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(141100,'吕梁市','','','',0,140000,',140000,141100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(150100,'呼和浩特市','','','',0,150000,',150000,150100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(150200,'包头市','','','',0,150000,',150000,150200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(150300,'乌海市','','','',0,150000,',150000,150300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(150400,'赤峰市','','','',0,150000,',150000,150400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(150500,'通辽市','','','',0,150000,',150000,150500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(150600,'鄂尔多斯市','','','',0,150000,',150000,150600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(150700,'呼伦贝尔市','','','',0,150000,',150000,150700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(150800,'巴彦淖尔市','','','',0,150000,',150000,150800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(150900,'乌兰察布市','','','',0,150000,',150000,150900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(152200,'兴安盟','','','',0,150000,',150000,152200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(152500,'锡林郭勒盟','','','',0,150000,',150000,152500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(152900,'阿拉善盟','','','',0,150000,',150000,152900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(210100,'沈阳市','','','',0,210000,',210000,210100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(210200,'大连市','','','',0,210000,',210000,210200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(210300,'鞍山市','','','',0,210000,',210000,210300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(210400,'抚顺市','','','',0,210000,',210000,210400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(210500,'本溪市','','','',0,210000,',210000,210500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(210600,'丹东市','','','',0,210000,',210000,210600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(210700,'锦州市','','','',0,210000,',210000,210700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(210800,'营口市','','','',0,210000,',210000,210800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(210900,'阜新市','','','',0,210000,',210000,210900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(211000,'辽阳市','','','',0,210000,',210000,211000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(211100,'盘锦市','','','',0,210000,',210000,211100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(211200,'铁岭市','','','',0,210000,',210000,211200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(211300,'朝阳市','','','',0,210000,',210000,211300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(211400,'葫芦岛市','','','',0,210000,',210000,211400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(220100,'长春市','','','',0,220000,',220000,220100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(220200,'吉林市','','','',0,220000,',220000,220200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(220300,'四平市','','','',0,220000,',220000,220300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(220400,'辽源市','','','',0,220000,',220000,220400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(220500,'通化市','','','',0,220000,',220000,220500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(220600,'白山市','','','',0,220000,',220000,220600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(220700,'松原市','','','',0,220000,',220000,220700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(220800,'白城市','','','',0,220000,',220000,220800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(222400,'延边朝鲜族自治州','','','',0,220000,',220000,222400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(230100,'哈尔滨市','','','',0,230000,',230000,230100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(230200,'齐齐哈尔市','','','',0,230000,',230000,230200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(230300,'鸡西市','','','',0,230000,',230000,230300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(230400,'鹤岗市','','','',0,230000,',230000,230400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(230500,'双鸭山市','','','',0,230000,',230000,230500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(230600,'大庆市','','','',0,230000,',230000,230600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(230700,'伊春市','','','',0,230000,',230000,230700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(230800,'佳木斯市','','','',0,230000,',230000,230800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(230900,'七台河市','','','',0,230000,',230000,230900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(231000,'牡丹江市','','','',0,230000,',230000,231000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(231100,'黑河市','','','',0,230000,',230000,231100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(231200,'绥化市','','','',0,230000,',230000,231200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(232700,'大兴安岭地区','','','',0,230000,',230000,232700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(320100,'南京市','','','',0,320000,',320000,320100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(320200,'无锡市','','','',0,320000,',320000,320200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(320300,'徐州市','','','',0,320000,',320000,320300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(320400,'常州市','','','',0,320000,',320000,320400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(320500,'苏州市','','','',0,320000,',320000,320500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(320600,'南通市','','','',0,320000,',320000,320600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(320700,'连云港市','','','',0,320000,',320000,320700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(320800,'淮安市','','','',0,320000,',320000,320800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(320900,'盐城市','','','',0,320000,',320000,320900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(321000,'扬州市','','','',0,320000,',320000,321000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(321100,'镇江市','','','',0,320000,',320000,321100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(321200,'泰州市','','','',0,320000,',320000,321200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(321300,'宿迁市','','','',0,320000,',320000,321300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(330100,'杭州市','','','',0,330000,',330000,330100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(330200,'宁波市','','','',0,330000,',330000,330200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(330300,'温州市','','','',0,330000,',330000,330300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(330400,'嘉兴市','','','',0,330000,',330000,330400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(330500,'湖州市','','','',0,330000,',330000,330500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(330600,'绍兴市','','','',0,330000,',330000,330600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(330700,'金华市','','','',0,330000,',330000,330700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(330800,'衢州市','','','',0,330000,',330000,330800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(330900,'舟山市','','','',0,330000,',330000,330900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(331000,'台州市','','','',0,330000,',330000,331000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(331100,'丽水市','','','',0,330000,',330000,331100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(340100,'合肥市','','','',0,340000,',340000,340100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(340200,'芜湖市','','','',0,340000,',340000,340200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(340300,'蚌埠市','','','',0,340000,',340000,340300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(340400,'淮南市','','','',0,340000,',340000,340400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(340500,'马鞍山市','','','',0,340000,',340000,340500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(340600,'淮北市','','','',0,340000,',340000,340600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(340700,'铜陵市','','','',0,340000,',340000,340700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(340800,'安庆市','','','',0,340000,',340000,340800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(341000,'黄山市','','','',0,340000,',340000,341000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(341100,'滁州市','','','',0,340000,',340000,341100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(341200,'阜阳市','','','',0,340000,',340000,341200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(341300,'宿州市','','','',0,340000,',340000,341300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(341500,'六安市','','','',0,340000,',340000,341500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(341600,'亳州市','','','',0,340000,',340000,341600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(341700,'池州市','','','',0,340000,',340000,341700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(341800,'宣城市','','','',0,340000,',340000,341800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(350100,'福州市','','','',0,350000,',350000,350100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(350200,'厦门市','','','',0,350000,',350000,350200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(350300,'莆田市','','','',0,350000,',350000,350300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(350400,'三明市','','','',0,350000,',350000,350400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(350500,'泉州市','','','',0,350000,',350000,350500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(350600,'漳州市','','','',0,350000,',350000,350600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(350700,'南平市','','','',0,350000,',350000,350700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(350800,'龙岩市','','','',0,350000,',350000,350800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(350900,'宁德市','','','',0,350000,',350000,350900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(360100,'南昌市','','','',0,360000,',360000,360100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(360200,'景德镇市','','','',0,360000,',360000,360200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(360300,'萍乡市','','','',0,360000,',360000,360300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(360400,'九江市','','','',0,360000,',360000,360400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(360500,'新余市','','','',0,360000,',360000,360500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(360600,'鹰潭市','','','',0,360000,',360000,360600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(360700,'赣州市','','','',0,360000,',360000,360700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(360800,'吉安市','','','',0,360000,',360000,360800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(360900,'宜春市','','','',0,360000,',360000,360900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(361000,'抚州市','','','',0,360000,',360000,361000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(361100,'上饶市','','','',0,360000,',360000,361100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(370100,'济南市','','','',0,370000,',370000,370100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(370200,'青岛市','','','',0,370000,',370000,370200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(370300,'淄博市','','','',0,370000,',370000,370300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(370400,'枣庄市','','','',0,370000,',370000,370400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(370500,'东营市','','','',0,370000,',370000,370500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(370600,'烟台市','','','',0,370000,',370000,370600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(370700,'潍坊市','','','',0,370000,',370000,370700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(370800,'济宁市','','','',0,370000,',370000,370800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(370900,'泰安市','','','',0,370000,',370000,370900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(371000,'威海市','','','',0,370000,',370000,371000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(371100,'日照市','','','',0,370000,',370000,371100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(371200,'莱芜市','','','',0,370000,',370000,371200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(371300,'临沂市','','','',0,370000,',370000,371300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(371400,'德州市','','','',0,370000,',370000,371400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(371500,'聊城市','','','',0,370000,',370000,371500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(371600,'滨州市','','','',0,370000,',370000,371600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(371700,'菏泽市','','','',0,370000,',370000,371700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(410100,'郑州市','','','',0,410000,',410000,410100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(410200,'开封市','','','',0,410000,',410000,410200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(410300,'洛阳市','','','',0,410000,',410000,410300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(410400,'平顶山市','','','',0,410000,',410000,410400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(410500,'安阳市','','','',0,410000,',410000,410500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(410600,'鹤壁市','','','',0,410000,',410000,410600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(410700,'新乡市','','','',0,410000,',410000,410700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(410800,'焦作市','','','',0,410000,',410000,410800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(410900,'濮阳市','','','',0,410000,',410000,410900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(411000,'许昌市','','','',0,410000,',410000,411000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(411100,'漯河市','','','',0,410000,',410000,411100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(411200,'三门峡市','','','',0,410000,',410000,411200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(411300,'南阳市','','','',0,410000,',410000,411300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(411400,'商丘市','','','',0,410000,',410000,411400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(411500,'信阳市','','','',0,410000,',410000,411500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(411600,'周口市','','','',0,410000,',410000,411600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(411700,'驻马店市','','','',0,410000,',410000,411700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(419000,'省直辖县级行政区划','','','',0,410000,',410000,419000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(420100,'武汉市','','','',0,420000,',420000,420100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(420200,'黄石市','','','',0,420000,',420000,420200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(420300,'十堰市','','','',0,420000,',420000,420300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(420500,'宜昌市','','','',0,420000,',420000,420500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(420600,'襄阳市','','','',0,420000,',420000,420600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(420700,'鄂州市','','','',0,420000,',420000,420700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(420800,'荆门市','','','',0,420000,',420000,420800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(420900,'孝感市','','','',0,420000,',420000,420900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(421000,'荆州市','','','',0,420000,',420000,421000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(421100,'黄冈市','','','',0,420000,',420000,421100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(421200,'咸宁市','','','',0,420000,',420000,421200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(421300,'随州市','','','',0,420000,',420000,421300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(422800,'恩施土家族苗族自治州','','','',0,420000,',420000,422800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(429000,'省直辖县级行政区划','','','',0,420000,',420000,429000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(430100,'长沙市','','','',0,430000,',430000,430100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(430200,'株洲市','','','',0,430000,',430000,430200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(430300,'湘潭市','','','',0,430000,',430000,430300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(430400,'衡阳市','','','',0,430000,',430000,430400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(430500,'邵阳市','','','',0,430000,',430000,430500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(430600,'岳阳市','','','',0,430000,',430000,430600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(430700,'常德市','','','',0,430000,',430000,430700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(430800,'张家界市','','','',0,430000,',430000,430800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(430900,'益阳市','','','',0,430000,',430000,430900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(431000,'郴州市','','','',0,430000,',430000,431000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(431100,'永州市','','','',0,430000,',430000,431100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(431200,'怀化市','','','',0,430000,',430000,431200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(431300,'娄底市','','','',0,430000,',430000,431300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(433100,'湘西土家族苗族自治州','','','',0,430000,',430000,433100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(440100,'广州市','','','',0,440000,',440000,440100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(440200,'韶关市','','','',0,440000,',440000,440200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(440300,'深圳市','','','',0,440000,',440000,440300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(440400,'珠海市','','','',0,440000,',440000,440400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(440500,'汕头市','','','',0,440000,',440000,440500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(440600,'佛山市','','','',0,440000,',440000,440600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(440700,'江门市','','','',0,440000,',440000,440700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(440800,'湛江市','','','',0,440000,',440000,440800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(440900,'茂名市','','','',0,440000,',440000,440900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(441200,'肇庆市','','','',0,440000,',440000,441200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(441300,'惠州市','','','',0,440000,',440000,441300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(441400,'梅州市','','','',0,440000,',440000,441400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(441500,'汕尾市','','','',0,440000,',440000,441500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(441600,'河源市','','','',0,440000,',440000,441600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(441700,'阳江市','','','',0,440000,',440000,441700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(441800,'清远市','','','',0,440000,',440000,441800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(441900,'东莞市','','','',0,440000,',440000,441900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(442000,'中山市','','','',0,440000,',440000,442000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(445100,'潮州市','','','',0,440000,',440000,445100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(445200,'揭阳市','','','',0,440000,',440000,445200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(445300,'云浮市','','','',0,440000,',440000,445300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(450100,'南宁市','','','',0,450000,',450000,450100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(450200,'柳州市','','','',0,450000,',450000,450200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(450300,'桂林市','','','',0,450000,',450000,450300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(450400,'梧州市','','','',0,450000,',450000,450400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(450500,'北海市','','','',0,450000,',450000,450500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(450600,'防城港市','','','',0,450000,',450000,450600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(450700,'钦州市','','','',0,450000,',450000,450700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(450800,'贵港市','','','',0,450000,',450000,450800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(450900,'玉林市','','','',0,450000,',450000,450900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(451000,'百色市','','','',0,450000,',450000,451000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(451100,'贺州市','','','',0,450000,',450000,451100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(451200,'河池市','','','',0,450000,',450000,451200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(451300,'来宾市','','','',0,450000,',450000,451300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(451400,'崇左市','','','',0,450000,',450000,451400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(460100,'海口市','','','',0,460000,',460000,460100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(460200,'三亚市','','','',0,460000,',460000,460200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(460300,'三沙市','','','',0,460000,',460000,460300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(469000,'省直辖县级行政区划','','','',0,460000,',460000,469000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(510100,'成都市','','','',0,510000,',510000,510100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(510300,'自贡市','','','',0,510000,',510000,510300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(510400,'攀枝花市','','','',0,510000,',510000,510400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(510500,'泸州市','','','',0,510000,',510000,510500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(510600,'德阳市','','','',0,510000,',510000,510600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(510700,'绵阳市','','','',0,510000,',510000,510700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(510800,'广元市','','','',0,510000,',510000,510800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(510900,'遂宁市','','','',0,510000,',510000,510900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(511000,'内江市','','','',0,510000,',510000,511000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(511100,'乐山市','','','',0,510000,',510000,511100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(511300,'南充市','','','',0,510000,',510000,511300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(511400,'眉山市','','','',0,510000,',510000,511400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(511500,'宜宾市','','','',0,510000,',510000,511500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(511600,'广安市','','','',0,510000,',510000,511600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(511700,'达州市','','','',0,510000,',510000,511700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(511800,'雅安市','','','',0,510000,',510000,511800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(511900,'巴中市','','','',0,510000,',510000,511900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(512000,'资阳市','','','',0,510000,',510000,512000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(513200,'阿坝藏族羌族自治州','','','',0,510000,',510000,513200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(513300,'甘孜藏族自治州','','','',0,510000,',510000,513300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(513400,'凉山彝族自治州','','','',0,510000,',510000,513400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(520100,'贵阳市','','','',0,520000,',520000,520100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(520200,'六盘水市','','','',0,520000,',520000,520200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(520300,'遵义市','','','',0,520000,',520000,520300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(520400,'安顺市','','','',0,520000,',520000,520400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(520500,'毕节市','','','',0,520000,',520000,520500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(520600,'铜仁市','','','',0,520000,',520000,520600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(522300,'黔西南布依族苗族自治州','','','',0,520000,',520000,522300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(522600,'黔东南苗族侗族自治州','','','',0,520000,',520000,522600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(522700,'黔南布依族苗族自治州','','','',0,520000,',520000,522700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(530100,'昆明市','','','',0,530000,',530000,530100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(530300,'曲靖市','','','',0,530000,',530000,530300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(530400,'玉溪市','','','',0,530000,',530000,530400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(530500,'保山市','','','',0,530000,',530000,530500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(530600,'昭通市','','','',0,530000,',530000,530600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(530700,'丽江市','','','',0,530000,',530000,530700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(530800,'普洱市','','','',0,530000,',530000,530800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(530900,'临沧市','','','',0,530000,',530000,530900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(532300,'楚雄彝族自治州','','','',0,530000,',530000,532300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(532500,'红河哈尼族彝族自治州','','','',0,530000,',530000,532500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(532600,'文山壮族苗族自治州','','','',0,530000,',530000,532600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(532800,'西双版纳傣族自治州','','','',0,530000,',530000,532800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(532900,'大理白族自治州','','','',0,530000,',530000,532900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(533100,'德宏傣族景颇族自治州','','','',0,530000,',530000,533100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(533300,'怒江傈僳族自治州','','','',0,530000,',530000,533300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(533400,'迪庆藏族自治州','','','',0,530000,',530000,533400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(540100,'拉萨市','','','',0,540000,',540000,540100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(542100,'昌都地区','','','',0,540000,',540000,542100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(542200,'山南地区','','','',0,540000,',540000,542200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(542300,'日喀则地区','','','',0,540000,',540000,542300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(542400,'那曲地区','','','',0,540000,',540000,542400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(542500,'阿里地区','','','',0,540000,',540000,542500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(542600,'林芝地区','','','',0,540000,',540000,542600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(610100,'西安市','','','',0,610000,',610000,610100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(610200,'铜川市','','','',0,610000,',610000,610200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(610300,'宝鸡市','','','',0,610000,',610000,610300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(610400,'咸阳市','','','',0,610000,',610000,610400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(610500,'渭南市','','','',0,610000,',610000,610500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(610600,'延安市','','','',0,610000,',610000,610600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(610700,'汉中市','','','',0,610000,',610000,610700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(610800,'榆林市','','','',0,610000,',610000,610800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(610900,'安康市','','','',0,610000,',610000,610900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(611000,'商洛市','','','',0,610000,',610000,611000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(620100,'兰州市','','','',0,620000,',620000,620100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(620200,'嘉峪关市','','','',0,620000,',620000,620200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(620300,'金昌市','','','',0,620000,',620000,620300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(620400,'白银市','','','',0,620000,',620000,620400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(620500,'天水市','','','',0,620000,',620000,620500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(620600,'武威市','','','',0,620000,',620000,620600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(620700,'张掖市','','','',0,620000,',620000,620700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(620800,'平凉市','','','',0,620000,',620000,620800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(620900,'酒泉市','','','',0,620000,',620000,620900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(621000,'庆阳市','','','',0,620000,',620000,621000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(621100,'定西市','','','',0,620000,',620000,621100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(621200,'陇南市','','','',0,620000,',620000,621200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(622900,'临夏回族自治州','','','',0,620000,',620000,622900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(623000,'甘南藏族自治州','','','',0,620000,',620000,623000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(630100,'西宁市','','','',0,630000,',630000,630100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(630200,'海东市','','','',0,630000,',630000,630200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(632200,'海北藏族自治州','','','',0,630000,',630000,632200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(632300,'黄南藏族自治州','','','',0,630000,',630000,632300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(632500,'海南藏族自治州','','','',0,630000,',630000,632500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(632600,'果洛藏族自治州','','','',0,630000,',630000,632600,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(632700,'玉树藏族自治州','','','',0,630000,',630000,632700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(632800,'海西蒙古族藏族自治州','','','',0,630000,',630000,632800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(640100,'银川市','','','',0,640000,',640000,640100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(640200,'石嘴山市','','','',0,640000,',640000,640200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(640300,'吴忠市','','','',0,640000,',640000,640300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(640400,'固原市','','','',0,640000,',640000,640400,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(640500,'中卫市','','','',0,640000,',640000,640500,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(650100,'乌鲁木齐市','','','',0,650000,',650000,650100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(650200,'克拉玛依市','','','',0,650000,',650000,650200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(652100,'吐鲁番地区','','','',0,650000,',650000,652100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(652200,'哈密地区','','','',0,650000,',650000,652200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(652300,'昌吉回族自治州','','','',0,650000,',650000,652300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(652700,'博尔塔拉蒙古自治州','','','',0,650000,',650000,652700,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(652800,'巴音郭楞蒙古自治州','','','',0,650000,',650000,652800,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(652900,'阿克苏地区','','','',0,650000,',650000,652900,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(653000,'克孜勒苏柯尔克孜自治州','','','',0,650000,',650000,653000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(653100,'喀什地区','','','',0,650000,',650000,653100,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(653200,'和田地区','','','',0,650000,',650000,653200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(654000,'伊犁哈萨克自治州','','','',0,650000,',650000,654000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(654200,'塔城地区','','','',0,650000,',650000,654200,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(654300,'阿勒泰地区','','','',0,650000,',650000,654300,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,''),
(659000,'自治区直辖县级行政区划','','','',0,650000,',650000,659000,',2,0,'area','0','',0,0,'','0000-00-00 00:00:00',0,0,'');

INSERT INTO `sys_group` VALUES (1,'管理员','管理员拥有前台所有权限'),(2,'财务专员','财务专员拥有现金流所有权限'),(3,'销售经理','销售经理拥有客户管理所有权限'),(4,'销售人员','默认的销售人员权限'),(5,'普通用户','默认的普通账号权限');
INSERT INTO `sys_usergroup` (account,`group`) SELECT account,5 FROM `sys_user`;
INSERT INTO `sys_schema` (`name`, `category`, `trader`, `type`, `money`, `desc`, `date`, `fee`) VALUES
('支付宝',       '', 'H', 'K', 'J',   'I,O', 'D', 'M'),
('中信银行简版', '', 'C', '',  'E,D', 'G,H', 'A', '');
INSERT INTO `sys_grouppriv` VALUES
(1,'address','browse'),
(1,'address','create'),
(1,'address','delete'),
(1,'address','edit'),
(1,'announce','browse'),
(1,'announce','create'),
(1,'announce','delete'),
(1,'announce','edit'),
(1,'announce','view'),
(1,'apppriv','cash'),
(1,'apppriv','crm'),
(1,'apppriv','oa'),
(1,'apppriv','team'),
(1,'balance','browse'),
(1,'balance','create'),
(1,'balance','delete'),
(1,'balance','edit'),
(1,'blog','create'),
(1,'blog','delete'),
(1,'blog','edit'),
(1,'blog','index'),
(1,'blog','view'),
(1,'contact','browse'),
(1,'contact','create'),
(1,'contact','delete'),
(1,'contact','edit'),
(1,'contact','vcard'),
(1,'contact','view'),
(1,'contract','browse'),
(1,'contract','cancel'),
(1,'contract','create'),
(1,'contract','delete'),
(1,'contract','deleteDelivery'),
(1,'contract','deleteReturn'),
(1,'contract','delivery'),
(1,'contract','edit'),
(1,'contract','editDelivery'),
(1,'contract','editReturn'),
(1,'contract','finish'),
(1,'contract','receive'),
(1,'contract','view'),
(1,'crm','manageAll'),
(1,'customer','assign'),
(1,'customer','browse'),
(1,'customer','contact'),
(1,'customer','contract'),
(1,'customer','create'),
(1,'customer','delete'),
(1,'customer','edit'),
(1,'customer','linkContact'),
(1,'customer','order'),
(1,'customer','view'),
(1,'depositor','activate'),
(1,'depositor','browse'),
(1,'depositor','check'),
(1,'depositor','create'),
(1,'depositor','delete'),
(1,'depositor','edit'),
(1,'depositor','forbid'),
(1,'depositor','savebalance'),
(1,'doc','browse'),
(1,'doc','create'),
(1,'doc','createLib'),
(1,'doc','delete'),
(1,'doc','deleteLib'),
(1,'doc','edit'),
(1,'doc','editLib'),
(1,'doc','view'),
(1,'forum','admin'),
(1,'forum','board'),
(1,'forum','index'),
(1,'forum','update'),
(1,'order','activate'),
(1,'order','assign'),
(1,'order','browse'),
(1,'order','close'),
(1,'order','contact'),
(1,'order','create'),
(1,'order','delete'),
(1,'order','edit'),
(1,'order','view'),
(1,'product','browse'),
(1,'product','create'),
(1,'product','delete'),
(1,'product','edit'),
(1,'product','view'),
(1,'project','activate'),
(1,'project','create'),
(1,'project','delete'),
(1,'project','edit'),
(1,'project','finish'),
(1,'project','importTask'),
(1,'project','index'),
(1,'project','suspend'),
(1,'provider','browse'),
(1,'provider','contact'),
(1,'provider','create'),
(1,'provider','delete'),
(1,'provider','edit'),
(1,'provider','linkContact'),
(1,'provider','view'),
(1,'resume','browse'),
(1,'resume','create'),
(1,'resume','delete'),
(1,'resume','edit'),
(1,'sales','browse'),
(1,'sales','create'),
(1,'sales','delete'),
(1,'sales','edit'),
(1,'schema','browse'),
(1,'schema','create'),
(1,'schema','delete'),
(1,'schema','edit'),
(1,'schema','view'),
(1,'setting','lang'),
(1,'setting','reset'),
(1,'task','activate'),
(1,'task','assignTo'),
(1,'task','batchCreate'),
(1,'task','browse'),
(1,'task','cancel'),
(1,'task','close'),
(1,'task','create'),
(1,'task','delete'),
(1,'task','edit'),
(1,'task','finish'),
(1,'task','kanban'),
(1,'task','outline'),
(1,'task','start'),
(1,'task','view'),
(1,'thread','delete'),
(1,'thread','deleteFile'),
(1,'thread','edit'),
(1,'thread','post'),
(1,'thread','stick'),
(1,'thread','switchStatus'),
(1,'thread','transfer'),
(1,'thread','view'),
(1,'trade','batchCreate'),
(1,'trade','batchEdit'),
(1,'trade','browse'),
(1,'trade','create'),
(1,'trade','delete'),
(1,'trade','detail'),
(1,'trade','edit'),
(1,'trade','import'),
(1,'trade','inveset'),
(1,'trade','showimport'),
(1,'trade','transfer'),
(1,'tree','browse'),
(1,'tree','children'),
(1,'tree','delete'),
(1,'tree','edit'),
(1,'user','colleague'),
(2,'address','browse'),
(2,'announce','browse'),
(2,'announce','create'),
(2,'announce','edit'),
(2,'announce','view'),
(2,'apppriv','cash'),
(2,'apppriv','crm'),
(2,'apppriv','oa'),
(2,'apppriv','team'),
(2,'balance','browse'),
(2,'balance','create'),
(2,'balance','delete'),
(2,'balance','edit'),
(2,'blog','create'),
(2,'blog','edit'),
(2,'blog','index'),
(2,'blog','view'),
(2,'contact','browse'),
(2,'contact','vcard'),
(2,'contact','view'),
(2,'contract','browse'),
(2,'contract','view'),
(2,'crm','manageAll'),
(2,'customer','browse'),
(2,'customer','contact'),
(2,'customer','contract'),
(2,'customer','order'),
(2,'customer','view'),
(2,'depositor','activate'),
(2,'depositor','browse'),
(2,'depositor','check'),
(2,'depositor','create'),
(2,'depositor','delete'),
(2,'depositor','edit'),
(2,'depositor','forbid'),
(2,'depositor','savebalance'),
(2,'doc','browse'),
(2,'doc','create'),
(2,'doc','createLib'),
(2,'doc','edit'),
(2,'doc','editLib'),
(2,'doc','view'),
(2,'forum','admin'),
(2,'forum','board'),
(2,'forum','index'),
(2,'order','browse'),
(2,'order','contact'),
(2,'order','view'),
(2,'product','browse'),
(2,'product','view'),
(2,'project','activate'),
(2,'project','create'),
(2,'project','edit'),
(2,'project','finish'),
(2,'project','importTask'),
(2,'project','index'),
(2,'project','suspend'),
(2,'provider','browse'),
(2,'provider','contact'),
(2,'provider','create'),
(2,'provider','delete'),
(2,'provider','edit'),
(2,'provider','linkContact'),
(2,'provider','view'),
(2,'resume','browse'),
(2,'sales','browse'),
(2,'schema','browse'),
(2,'schema','create'),
(2,'schema','delete'),
(2,'schema','edit'),
(2,'schema','view'),
(2,'setting','lang'),
(2,'setting','reset'),
(2,'task','activate'),
(2,'task','assignTo'),
(2,'task','batchCreate'),
(2,'task','browse'),
(2,'task','cancel'),
(2,'task','close'),
(2,'task','create'),
(2,'task','edit'),
(2,'task','finish'),
(2,'task','kanban'),
(2,'task','outline'),
(2,'task','start'),
(2,'task','view'),
(2,'thread','edit'),
(2,'thread','post'),
(2,'thread','stick'),
(2,'thread','switchStatus'),
(2,'thread','transfer'),
(2,'thread','view'),
(2,'trade','batchCreate'),
(2,'trade','batchEdit'),
(2,'trade','browse'),
(2,'trade','create'),
(2,'trade','delete'),
(2,'trade','detail'),
(2,'trade','edit'),
(2,'trade','import'),
(2,'trade','inveset'),
(2,'trade','showimport'),
(2,'trade','transfer'),
(2,'tree','browse'),
(2,'tree','children'),
(2,'tree','edit'),
(2,'user','colleague'),
(3,'address','browse'),
(3,'address','create'),
(3,'address','delete'),
(3,'address','edit'),
(3,'announce','browse'),
(3,'announce','create'),
(3,'announce','edit'),
(3,'announce','view'),
(3,'apppriv','cash'),
(3,'apppriv','crm'),
(3,'apppriv','oa'),
(3,'apppriv','team'),
(3,'blog','create'),
(3,'blog','edit'),
(3,'blog','index'),
(3,'blog','view'),
(3,'contact','browse'),
(3,'contact','create'),
(3,'contact','delete'),
(3,'contact','edit'),
(3,'contact','vcard'),
(3,'contact','view'),
(3,'contract','browse'),
(3,'contract','cancel'),
(3,'contract','create'),
(3,'contract','delete'),
(3,'contract','deleteDelivery'),
(3,'contract','deleteReturn'),
(3,'contract','delivery'),
(3,'contract','edit'),
(3,'contract','editDelivery'),
(3,'contract','editReturn'),
(3,'contract','finish'),
(3,'contract','receive'),
(3,'contract','view'),
(3,'crm','manageAll'),
(3,'customer','assign'),
(3,'customer','browse'),
(3,'customer','contact'),
(3,'customer','contract'),
(3,'customer','create'),
(3,'customer','delete'),
(3,'customer','edit'),
(3,'customer','linkContact'),
(3,'customer','order'),
(3,'customer','view'),
(3,'depositor','browse'),
(3,'doc','browse'),
(3,'doc','create'),
(3,'doc','createLib'),
(3,'doc','edit'),
(3,'doc','editLib'),
(3,'doc','view'),
(3,'forum','admin'),
(3,'forum','board'),
(3,'forum','index'),
(3,'order','activate'),
(3,'order','assign'),
(3,'order','browse'),
(3,'order','close'),
(3,'order','contact'),
(3,'order','create'),
(3,'order','delete'),
(3,'order','edit'),
(3,'order','view'),
(3,'product','browse'),
(3,'product','create'),
(3,'product','delete'),
(3,'product','edit'),
(3,'product','view'),
(3,'project','activate'),
(3,'project','create'),
(3,'project','edit'),
(3,'project','finish'),
(3,'project','importTask'),
(3,'project','index'),
(3,'project','suspend'),
(3,'resume','browse'),
(3,'resume','create'),
(3,'resume','delete'),
(3,'resume','edit'),
(3,'sales','browse'),
(3,'sales','create'),
(3,'sales','delete'),
(3,'sales','edit'),
(3,'setting','lang'),
(3,'setting','reset'),
(3,'task','activate'),
(3,'task','assignTo'),
(3,'task','batchCreate'),
(3,'task','browse'),
(3,'task','cancel'),
(3,'task','close'),
(3,'task','create'),
(3,'task','edit'),
(3,'task','finish'),
(3,'task','kanban'),
(3,'task','outline'),
(3,'task','start'),
(3,'task','view'),
(3,'thread','edit'),
(3,'thread','post'),
(3,'thread','stick'),
(3,'thread','switchStatus'),
(3,'thread','transfer'),
(3,'thread','view'),
(3,'tree','browse'),
(3,'tree','children'),
(3,'tree','edit'),
(3,'user','colleague'),
(4,'address','browse'),
(4,'address','create'),
(4,'address','edit'),
(4,'announce','browse'),
(4,'announce','create'),
(4,'announce','edit'),
(4,'announce','view'),
(4,'apppriv','cash'),
(4,'apppriv','crm'),
(4,'apppriv','oa'),
(4,'apppriv','team'),
(4,'blog','create'),
(4,'blog','edit'),
(4,'blog','index'),
(4,'blog','view'),
(4,'contact','browse'),
(4,'contact','create'),
(4,'contact','edit'),
(4,'contact','vcard'),
(4,'contact','view'),
(4,'contract','browse'),
(4,'contract','cancel'),
(4,'contract','create'),
(4,'contract','delivery'),
(4,'contract','edit'),
(4,'contract','editDelivery'),
(4,'contract','editReturn'),
(4,'contract','finish'),
(4,'contract','receive'),
(4,'contract','view'),
(4,'customer','assign'),
(4,'customer','browse'),
(4,'customer','contact'),
(4,'customer','contract'),
(4,'customer','create'),
(4,'customer','edit'),
(4,'customer','linkContact'),
(4,'customer','order'),
(4,'customer','view'),
(4,'depositor','browse'),
(4,'doc','browse'),
(4,'doc','create'),
(4,'doc','createLib'),
(4,'doc','edit'),
(4,'doc','editLib'),
(4,'doc','view'),
(4,'forum','admin'),
(4,'forum','board'),
(4,'forum','index'),
(4,'order','activate'),
(4,'order','assign'),
(4,'order','browse'),
(4,'order','close'),
(4,'order','contact'),
(4,'order','create'),
(4,'order','edit'),
(4,'order','view'),
(4,'product','browse'),
(4,'product','create'),
(4,'product','edit'),
(4,'product','view'),
(4,'project','activate'),
(4,'project','create'),
(4,'project','edit'),
(4,'project','finish'),
(4,'project','importTask'),
(4,'project','index'),
(4,'project','suspend'),
(4,'resume','browse'),
(4,'resume','create'),
(4,'resume','edit'),
(4,'sales','browse'),
(4,'setting','lang'),
(4,'setting','reset'),
(4,'task','activate'),
(4,'task','assignTo'),
(4,'task','batchCreate'),
(4,'task','browse'),
(4,'task','cancel'),
(4,'task','close'),
(4,'task','create'),
(4,'task','edit'),
(4,'task','finish'),
(4,'task','kanban'),
(4,'task','outline'),
(4,'task','start'),
(4,'task','view'),
(4,'thread','edit'),
(4,'thread','post'),
(4,'thread','stick'),
(4,'thread','switchStatus'),
(4,'thread','transfer'),
(4,'thread','view'),
(4,'tree','browse'),
(4,'tree','children'),
(4,'tree','edit'),
(4,'user','colleague'),
(5,'announce','browse'),
(5,'announce','create'),
(5,'announce','edit'),
(5,'announce','view'),
(5,'apppriv','oa'),
(5,'apppriv','team'),
(5,'blog','create'),
(5,'blog','edit'),
(5,'blog','index'),
(5,'blog','view'),
(5,'doc','browse'),
(5,'doc','create'),
(5,'doc','createLib'),
(5,'doc','edit'),
(5,'doc','editLib'),
(5,'doc','view'),
(5,'forum','admin'),
(5,'forum','board'),
(5,'forum','index'),
(5,'project','activate'),
(5,'project','create'),
(5,'project','edit'),
(5,'project','finish'),
(5,'project','importTask'),
(5,'project','index'),
(5,'project','suspend'),
(5,'task','activate'),
(5,'task','assignTo'),
(5,'task','batchCreate'),
(5,'task','browse'),
(5,'task','cancel'),
(5,'task','close'),
(5,'task','create'),
(5,'task','edit'),
(5,'task','finish'),
(5,'task','kanban'),
(5,'task','outline'),
(5,'task','start'),
(5,'task','view'),
(5,'thread','edit'),
(5,'thread','post'),
(5,'thread','stick'),
(5,'thread','switchStatus'),
(5,'thread','transfer'),
(5,'thread','view'),
(5,'user','colleague');

INSERT INTO `sys_cron` (`m`, `h`, `dom`, `mon`, `dow`, `command`, `remark`, `type`, `buildin`, `status`, `lastTime`) VALUES
('*', '*', '*', '*', '*', '', '监控定时任务', 'ranzhi', 1, 'normal', '0000-00-00 00:00:00'),
('1', '1', '*', '*', '*', 'appName=sys&moduleName=backup&methodName=backup&reload=0', '定时备份任务', 'ranzhi', 0, 'normal', '0000-00-00 00:00:00'),
('1', '1', '*', '*', '*', 'appName=sys&moduleName=backup&methodName=batchdelete&saveDays=30', '删除30天前的备份', 'ranzhi', 0, 'normal', '0000-00-00 00:00:00');
